
#ifndef GLEADERBOARD_H
#define GLEADERBOARD_H

#include "steam\steam_api.h"

class CSteamLeaderboards
{
public:

	CSteamLeaderboards();
	~CSteamLeaderboards(){}
	
	void FindLeaderboard( const char *pchLeaderboardName , int score);
	bool UploadScore( SteamLeaderboard_t leaderb );

	void OnFindLeaderboard( LeaderboardFindResult_t *pResult, bool bIOFailure);
	CCallResult<CSteamLeaderboards, LeaderboardFindResult_t> m_callResultFindLeaderboard;
	void OnUploadScore( LeaderboardScoreUploaded_t *pResult, bool bIOFailure);
	CCallResult<CSteamLeaderboards, LeaderboardScoreUploaded_t> m_callResultUploadScore;
	
	int currentAction_;
	int currentScore_;
	const char* currentLeaderboard_;
	const char* feedback_;
};

#endif // GLEADERBOARD_H